//
// james - Test library for T6963C based graphic LCD
//

#include <absacc.h>
#include <c_ext.h>
#include <reg52.h>
#include <lcd.h>


void delay (unsigned int delValue)
{
	while (--delValue > 0);
}


void main (void)
//+++++++++++++++++++++++++++++++++++++++++++++++++++++
{
 	char text[]="Enjoy with it...";
	
	bit flag = 0;
 	uchar i;
	
	//
 	// initialize LCD display 
 	init_LCD(DATAINT);
	//
	// test for box drawings
 	do
   	{
    	i = 0;
    	do
      	{
       		gotoxy(i, i); box(127-4*i, 63-4*i);
			refresh_LCD(0);						//refresh for each box     
      	}
    	while (i++ < 16);
	  	set_display(F5x8, (flag) ? NORMAL : REVERSE);
    	flag = !flag;
   	}
 	while (flag);
	//
	// wait for moment please....
	delay(50000);

 	//
	// test for vertical lines drawings
   	i = 0;
   	do
   	{
   		gotoxy(i*8, 0); vline(63);
   	}
   	while (i++ < 16);

	refresh_LCD(0);    						    //refresh all frame

 	//
	// test for horizontal lines drawings
   	i = 0;
   	do
   	{
   		gotoxy(0, i*8); hline(127);
 		refresh_LCD(0);    					    // refresh for each line
  	}
   	while (i++ < 8);

	delay(40000);

	clearlcd (ALL);

	// test fonts
 	set_display(F4x5, NORMAL);
 	gotoxy(2,2); wrstr("4/5 FONT");
 	set_display(F4x5, REVERSE);
 	gotoxy(50,2); wrstr("4/5 FONT");

 	set_display(F5x8, NORMAL);
 	gotoxy(2,10); wrstr("5X8 FONT");
 	set_display(F5x8, REVERSE);
 	gotoxy(50,10); wrstr("5X8 FONT");

 	set_display(F10x12, NORMAL);
 	gotoxy(2,22); wrstr("14:42");

  	set_display(F15x18, NORMAL);
 	gotoxy(2,40); wrstr("195.20");

 	refresh_LCD(0);

	delay(40000);
	clearlcd (ALL);				// clean all LCD
 
 	set_display(F5x8, NORMAL);
 	gotoxy(16,10); 
	
	for (i=0; i<16; i++) {

		wrch(text[i]);			// write one character once
		delay(10000);
	 	refresh_LCD(0);
	}

 	set_display(F5x8, REVERSE);
 	gotoxy(50,30); wrstr("james");
 	set_display(F5x8, NORMAL);
 	gotoxy(22,50); wrstr("W ELEKTRODA!!!!");

 	refresh_LCD(0);

 	while(1);
}
